Bug 126 - internal error about get_ntlm_challenge or libldap calls
internal error about get_ntlm_challenge or libldap calls
Status: CLOSED FIXED
Product: Samba 3.0
Classification: Unclassified
Component: libsmbclient
3.0.0preX
Other other
: P1 normal
: none
Assigned To: Gerald (Jerry) Carter
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-26 02:57 UTC by Ignacio Coupeau
Modified: 2005-08-24 10:26 UTC (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Ignacio Coupeau 2003-05-26 02:57:16 UTC
Platform: SAMBA_3 CVS (8:00 GMT, 05/26) in Debian 3.0 (2.4.18, gcc
version egcs-2.92.11)UltraSparc IIi. openldap libs (openldap 2.0.27).
 
  ./configure --with-ldapsam
  passdb backend = ldapsam:<url>

The Samba reports internal-panic errors when some windows action is performed
like: enum shares, mount a volume, always about get_ntlm_challenge calls, but
reports stack errors, someone related to ldap.

The bin/smbpasswd -a -m <machine> runs well. In all cases, the ldap also
responds well.

I found these errors at level5 and 10:

------ debug 5 -------
[2003/05/26 10:23:46, 5] auth/auth.c:get_ntlm_challenge(133)
  challenge is: 
[2003/05/26 10:23:46, 5] lib/util.c:dump_data(1886)
  [000] FE 60 C2 62 8D A9 A5 93                           .`.b.... 
[2003/05/26 10:23:46, 0] lib/fault.c:fault_report(36)
  ===============================================================
[2003/05/26 10:23:46, 0] lib/fault.c:fault_report(37)
  INTERNAL ERROR: Signal 10 in pid 7443 (3.0beta1)
  Please read the appendix Bugs of the Samba HOWTO collection
[2003/05/26 10:23:46, 0] lib/fault.c:fault_report(39)
  ===============================================================
[2003/05/26 10:23:46, 0] lib/util.c:smb_panic(1463)
  PANIC: internal error
[2003/05/26 10:23:46, 0] lib/util.c:smb_panic(1470)
  BACKTRACE: 2 stack frames:
   #0 [(nil)]
   #1 /usr/lib/libldap.so.2(_GLOBAL_OFFSET_TABLE_+0) [0x7016b540]
---------------------------------

------------- debug 10 -------------------
[2003/05/26 10:18:00, 5] auth/auth.c:get_ntlm_challenge(93)
  auth_get_challenge: module guest did not want to specify a challenge
[2003/05/26 10:18:00, 5] auth/auth.c:get_ntlm_challenge(93)
  auth_get_challenge: module sam did not want to specify a challenge
[2003/05/26 10:18:00, 5] auth/auth.c:get_ntlm_challenge(132)
  auth_context challenge created by random
[2003/05/26 10:18:00, 5] auth/auth.c:get_ntlm_challenge(133)
  challenge is: 
[2003/05/26 10:18:00, 5] lib/util.c:dump_data(1886)
  [000] BE BC DE F8 EE DA F4 6B                           .......k 
[2003/05/26 10:18:00, 0] lib/fault.c:fault_report(36)
  ===============================================================
[2003/05/26 10:18:00, 0] lib/fault.c:fault_report(37)
  INTERNAL ERROR: Signal 10 in pid 7431 (3.0beta1)
  Please read the appendix Bugs of the Samba HOWTO collection
[2003/05/26 10:18:00, 0] lib/fault.c:fault_report(39)
  ===============================================================
[2003/05/26 10:18:00, 0] lib/util.c:smb_panic(1463)
  PANIC: internal error
[2003/05/26 10:18:00, 0] lib/util.c:smb_panic(1470)
  BACKTRACE: 2 stack frames:
   #0 [(nil)]
   #1 [0x33203230]
------------------
Comment 1 Ignacio Coupeau 2003-05-26 03:15:02 UTC
I found this error only in Debian+sparc. In Intel RedHat runs as a charm.
Comment 2 Gerald (Jerry) Carter 2003-06-06 16:06:31 UTC
SIGUSR1 ?  Are you sure there are no hardware bugs here?
Do you have another sparc (or big endian) box to test with?
Comment 3 Gerald (Jerry) Carter 2003-06-23 10:10:38 UTC
you need to make sure that 'guest' is included last in 
the set of passdb backends.  i think this seg fault has 
been fixed though.
Comment 4 Gerald (Jerry) Carter 2003-07-11 08:31:03 UTC
marking it fixed based on last comment.  Reopen it if
it is still broken.
Comment 5 Gerald (Jerry) Carter 2005-02-07 07:57:27 UTC
originally reported against 3.0aph24.  Bugzilla spring cleaning.  
Removing old alpha versions.
Comment 6 Gerald (Jerry) Carter 2005-08-24 10:26:57 UTC
sorry for the same, cleaning up the database to prevent unecessary reopens of bugs.